Bug 20345 - Put saved report keyword search form on reports home
Summary: Put saved report keyword search form on reports home
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20045
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-06 18:40 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20345: Put saved report keyword search form on reports home (3.61 KB, patch)
2018-03-06 18:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20345: Put saved report keyword search form on reports home (3.67 KB, patch)
2018-03-12 09:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20345: Put saved report keyword search form on reports home (3.73 KB, patch)
2018-03-25 15:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-03-06 18:40:24 UTC
We have a quick search form for system preferences on the administration page. I think we should have the same on the reports home page for saved reports.
Comment 1 Owen Leonard 2018-03-06 18:52:56 UTC
Created attachment 72494 [details] [review]
Bug 20345: Put saved report keyword search form on reports home

This patch makes cosmetic changes to the reports home page in the staff
client following the pattern set on the Administration home page with
the system preferences search box. A reports keyword search form is
added, and reports actions have font-awesome icons.

To test, apply the patch and view the reports home page. Confirm that
all affected links work correctly and that the search form works
correctly.
Comment 2 Claire Gravely 2018-03-12 09:49:51 UTC
Created attachment 72628 [details] [review]
Bug 20345: Put saved report keyword search form on reports home

This patch makes cosmetic changes to the reports home page in the staff
client following the pattern set on the Administration home page with
the system preferences search box. A reports keyword search form is
added, and reports actions have font-awesome icons.

To test, apply the patch and view the reports home page. Confirm that
all affected links work correctly and that the search form works
correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-03-25 15:34:45 UTC
Created attachment 73241 [details] [review]
Bug 20345: Put saved report keyword search form on reports home

This patch makes cosmetic changes to the reports home page in the staff
client following the pattern set on the Administration home page with
the system preferences search box. A reports keyword search form is
added, and reports actions have font-awesome icons.

To test, apply the patch and view the reports home page. Confirm that
all affected links work correctly and that the search form works
correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-26 20:38:28 UTC
Pushed to master for 18.05, thanks to everybody involved!